#standard equipment type config file
#    
#     EIB
#
#     Constraint to the Solution config file:
#               Relevant Sampler List: 
#               Relevant Equipment List: 
#


#1. Equipment basic information
[EQUIPMENT_TYPE_INFO]
#Type ID	Group Type Flag		Type Name		Type Name Resource ID
903		0			EIB3			1


#2. Define signals of this standard equipment
#2.1 Define the Sampling Signals
[SAMPLING_SIGNAL_NUM]
2

[SAMPLING_SIGNAL_INFO]
#note:if you want to change the sig name, please change the name difined in the relevant resource file synchronously
#Sig ID		Sig Name			Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Storing Threshold	Storing Interval	Evaluation Expression		Value Range		Value Diaplay Attribute		Value Display Level	Value Display ID	Value Display Format	Disp Exp
#added by Jimmy for ESNA SMDU-EIB Shunt Setting CR 2013.12.03
1		Shunt1 Reading			90			A		1			186			F		NA			NA		NA			NA					W/L			NA			2			.1			([1,2,452]==1)&[0,2,16]==1
2		Shunt2 Reading			91			A		1			187			F		NA			NA		NA			NA					W/L			NA			2			.1			([1,2,452]==1)&[0,2,17]==1
3		Shunt3 Reading			92			A		1			188			F		NA			NA		NA			NA					W/L			NA			2			.1			([1,2,452]==1)&[0,2,18]==1
8		Load1 Current(EIB shunt3)	10			A		1				189			F			NA			NA			NA				NA			W/L				NA			8			.1			[0,2,16]==2
9		Load2 Current(EIB shunt2)	11			A		1				190			F			NA			NA			NA				NA			W/L				NA			9			.1			[0,2,17]==2
10		Load3 Current(EIB shunt1)	44			A		1				191			F			NA			NA			NA				NA			W/L				NA			10			.1			[0,2,18]==2
11		Temperature 1			93			deg.C		1				195			F			NA			NA			NA				-300.0/250.0		NA				NA			10			.0					NA
12		Temperature 2			94			deg.C		1				196			F			NA			NA			NA				-300.0/250.0		NA				NA			10			.0					NA
21		Testing Relay1			78			NA		-1				-3			E			NA			NA			NA				[ID27=OFF]/[ID26=ON]	NA				NA			63			NA					NA
22		Testing Relay2			79			NA		-1				-3			E			NA			NA			NA				[ID27=OFF]/[ID26=ON]	NA				NA			63			NA					NA
23		Testing Relay3			80			NA		-1				-3			E			NA			NA			NA				[ID27=OFF]/[ID26=ON]	NA				NA			63			NA					NA
24		Testing Relay4			81			NA		-1				-3			E			NA			NA			NA				[ID27=OFF]/[ID26=ON]	NA				NA			63			NA					NA
25		Testing Relay5			82			NA		-1				-3			E			NA			NA			NA				[ID27=OFF]/[ID26=ON]	NA				NA			63			NA					NA
50		Block In Use			56			NA		1				185			U			NA			NA			NA				0/8			W/L				NA			11			NA			NA
55		Voltage1			32			V		1				176			F			NA			NA			NA				-65.0/65.0		W/L				NA			12			.1			[0,0,50] > 0
56		Voltage2			33			V		1				177			F			NA			NA			NA				-65.0/65.0		W/L				NA			13			.1			[0,0,50] > 1
57		Voltage3			34			V		1				178			F			NA			NA			NA				-65.0/65.0		W/L				NA			14			.1			[0,0,50] > 2
58		Voltage4			35			V		1				179			F			NA			NA			NA				-65.0/65.0		W/L				NA			15			.1			[0,0,50] > 3
59		Voltage5			36			V		1				180			F			NA			NA			NA				-65.0/65.0		W/L				NA			16			.1			[0,0,50] > 4
60		Voltage6			37			V		1				181			F			NA			NA			NA				-65.0/65.0		W/L				NA			17			.1			[0,0,50] > 5
61		Voltage7			38			V		1				182			F			NA			NA			NA				-65.0/65.0		W/L				NA			18			.1			[0,0,50] > 6
62		Voltage8			39			V		1				183			F			NA			NA			NA				-65.0/65.0		W/L				NA			19			.1			[0,0,50] > 7
63		Bad Battery Block		9			NA		1				204			U			NA			NA			NA				NA			NA				NA			7			NA			NA
78		Current1 Alarm Flag		95			NA		-1			-3			U		NA			NA		NA			NA					NA			NA			3		NA			NA
79		Current2 Alarm Flag		96			NA		-1			-3			U		NA			NA		NA			NA					NA			NA			4		NA			NA
80		Current3 Alarm Flag		97			NA		-1			-3			U		NA			NA		NA			NA					NA			NA			5		NA			NA

99		EIB failure			16			NA		1				172			E			NA			NA			NA				[ID29=On]/[ID30=Off]	NA				NA			20			NA			NA
100		State				17			NA		1				171			E			NA			NA			NA				[ID26=On]/[ID27=Off]	NA				NA			21			NA			NA
501		Shunt1 Reading			90			A		1			197			F		NA			NA		NA			NA					NA			NA			2			.1			NA
502		Shunt2 Reading			91			A		1			198			F		NA			NA		NA			NA					NA			NA			2			.1			NA
503		Shunt3 Reading			92			A		1			199			F		NA			NA		NA			NA					NA			NA			2			.1			NA


#2.2 Define the Control Signals
[CTRL_SIGNAL_NUM]
0

[CTRL_SIGNAL_INFO]
#Sig ID		Sig Name		Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Value Range		Value Display Attribute		Value Control Attribute		Controlable Expression		Authority Level		Value Display ID	Value Display Format	Control Channel ID	Control Step	Control Param	Control Expression	On Control Action		Disp Exp
1		DO1			12			NA		1				NA			E			[ID27=OFF]/[ID26=ON]	NA				NA				[1,2,7]==1 | [1,2,222]==1	O			33			NA			171			NA		NA		NA			NA				NA		
2		DO2			13			NA		1				NA			E			[ID27=OFF]/[ID26=ON]	NA				NA				[1,2,7]==1 | [1,2,222]==1	O			34			NA			172			NA		NA		NA			NA				NA		
3		DO3			14			NA		1				NA			E			[ID27=OFF]/[ID26=ON]	NA				NA				[1,2,7]==1 | [1,2,222]==1	O			35			NA			173			NA		NA		NA			NA				NA		
4		DO4			15			NA		1				NA			E			[ID27=OFF]/[ID26=ON]	NA				NA				[1,2,7]==1 | [1,2,222]==1	O			36			NA 			174			NA		NA		NA			NA				NA		
5		DO5			54			NA		1				NA			E			[ID27=OFF]/[ID26=ON]	NA				NA				[1,2,7]==1 | [1,2,222]==1	O			36			NA 			184			NA		NA		NA			NA				NA		



#2.3 Define the Setting Signals  
[SETTING_SIGNAL_NUM]
3

[SETTING_SIGNAL_INFO]
#Sig ID		Sig Name				Sig Name Resource ID	Sig Unit	Index of Sampler List		Sampler Channel ID	Sig Value Type		Default Value		Value Range					Value Display Attribute		Value Setting Attribute		Settable Expression	Authority Level		Value Display ID	Value Display Format	Control Channel ID	Setting Step	Control Expression	Persistence Falg	On Control Action	Disp Exp
1		Shunt1 Full Current			47			A		1				-3			F			500.0			50/5000						W/L				W/L				NA			O			8			.1			175			5		NA			1			NA			NA
2		Shunt1 Full Voltage			48			mV		1				-3			F			75.0			1/150						W/L				W/L				NA			O			9			.1			178			1		NA			1			NA			NA
3		Shunt2 Full Current			18			A		1				-3			F			500.0			50/5000						W/L				W/L				NA			O			10			.1			176			5		NA			1			NA			NA
4		Shunt2 Full Voltage			20			mV		1				-3			F			75.0			1/150						W/L				W/L				NA			O			11			.1			179			1		NA			1			NA			NA
5		Shunt3 Full Current			19			A		1				-3			F			500.0			50/5000						W/L				W/L				NA			O			12			.1			177			5		NA			1			NA			NA
6		Shunt3 Full Voltage			21			mV		1				-3			F			75.0			1/150						W/L				W/L				NA			O			13			.1			180			1		NA			1			NA			NA
7		EIB Battery Num				40			NA		1				-3			E			0			[ID41=0]/[ID42=1]/[ID43=2]/[ID45=3]		NA				NA				[0,2,7] <= (3 - [0,2,8])	E		16			NA			181			NA		NA			1			NA			[1,2,452]==0
8		EIB Load Num				46			NA		1				-3			E			0			[ID41=0]/[ID42=1]/[ID43=2]/[ID45=3]		NA				NA				[0,2,8] <= (3 - [0,2,7])	E		16			NA			183			NA		NA			1			NA			[1,2,452]==0
9		Voltage Type				49			NA		1				-3			E			0			[ID50=48 Block4]/[ID51=Midpoint]/[ID52=24 Block2]/[ID25=Disable]		W/L		W/L		NA			E			16			NA			182			NA		NA			1			NA			NA
10		Block voltage difference(12V)		53			V		-1				-3			F			1.0			0/2						W/L				W/L				NA			O			55			.2			-3			0.01		NA			1			NA			[0,2,9]==0|[0,2,9]==2
11		Block voltage difference(Mid)		55			V		-1				-3			F			2.0			0/4						W/L				W/L				NA			O			55			.2			-3			0.01		NA			1			NA			[0,2,9]==1
12		Block In Use Num			56			NA		-1				-3			U			8			0/8						W/L				W/L				NA			O			54			NA			-3			1		NA			1			NA			NA
  #added by Jimmy for ESNA SMDU-EIB Shunt Setting CR 2013.07.06
16		Shunt1 Set As				87		NA		-1			-3			E		0		[ID83=NotUsed]/[ID84=General]/[ID85=Load]/[ID86=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		NA
17		Shunt2 Set As				88		NA		-1			-3			E		0		[ID83=NotUsed]/[ID84=General]/[ID85=Load]/[ID86=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		NA
18		Shunt3 Set As				89		NA		-1			-3			E		0		[ID83=NotUsed]/[ID84=General]/[ID85=Load]/[ID86=Battery]			W/L			W/L			NA			E			3		NA			-3			1		NA			1		NA		NA
19		DO1 Type		104			NA		-1				-3			E			0			[ID109=Non-Energized]/[ID110=Energized]		W/L		W/L				NA			E			64			NA			-3			NA		NA			1			NA			NA		
20		DO2 Type		105			NA		-1				-3			E			0			[ID109=Non-Energized]/[ID110=Energized]		W/L		W/L				NA			E			64			NA			-3			NA		NA			1			NA			NA		
21		DO3 Type		106			NA		-1				-3			E			0			[ID109=Non-Energized]/[ID110=Energized]		W/L		W/L				NA			E			64			NA			-3			NA		NA			1			NA			NA		
22		DO4 Type		107			NA		-1				-3			E			0			[ID109=Non-Energized]/[ID110=Energized]		W/L		W/L				NA			E			64			NA			-3			NA		NA			1			NA			NA		
23		DO5 Type		108			NA		-1				-3			E			0			[ID109=Non-Energized]/[ID110=Energized]		W/L		W/L				NA			E			64			NA			-3			NA		NA			1			NA			NA		
500	Current1 Breaker Size				500		A		-1			-3			F		500			10/5000									W/L				W/L		NA			E					6			.0			-3			1		NA			1		NA	[0,2,16]>0	
501	Current1 High 1 Current Limit			501		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,501]<=[0,2,502]	E					7			.0			-3			1		NA			1		NA	[0,2,16]>0	
502	Current1 High 2 Current Limit			502		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,502]>=[0,2,501]	E					8			.0			-3			1		NA			1		NA	[0,2,16]>0	
503	Current2 Breaker Size				503		A		-1			-3			F		500			10/5000									W/L				W/L		NA			E					11			.0			-3			1		NA			1		NA	[0,2,17]>0	
504	Current2 High 1 Current Limit			504		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,504]<=[0,2,505]	E					12			.0			-3			1		NA			1		NA	[0,2,17]>0	
505	Current2 High 2 Current Limit			505		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,505]>=[0,2,504]	E					13			.0			-3			1		NA			1		NA	[0,2,17]>0	
506	Current3 Breaker Size				506		A		-1			-3			F		500			10/5000									W/L				W/L		NA			E					16			.0			-3			1		NA			1		NA	[0,2,18]>0	
507	Current3 High 1 Current Limit			507		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,504]<=[0,2,505]	E					17			.0			-3			1		NA			1		NA	[0,2,18]>0	
508	Current3 High 2 Current Limit			508		%		-1			-3			F		90			1/100									W/L				W/L		[0,2,505]>=[0,2,504]	E					18			.0			-3			1		NA			1		NA	[0,2,18]>0	

#2.4 Define the Alarm Singals
[ALARM_NUM]
0

[ALARM_INFO]
#alarm level: OA MA CA
#Alarm ID	Alarm Name		Alarm Name Resource ID		Alarm Level	Alarm Expression	Alarm Delay	Suppressing Expression	Relay ID
1		EIB Failure		31				CA		[0,0,99] == 1		NA		NA			NA
2		Bad Battery Block	9				OA		[0,0,63] == 1		NA		[0,3,1]			NA
10		Testing Relay1		78				OA		[0,0,21] > 0		NA			NA						NA
11		Testing Relay2		79				OA		[0,0,22] > 0		NA			NA						NA
12		Testing Relay3		80				OA		[0,0,23] > 0		NA			NA						NA
13		Testing Relay4		81				OA		[0,0,24] > 0		NA			NA						NA
14		Testing Relay5		82				OA		[0,0,25] > 0		NA			NA						NA

15	Current1 High Current Alarm		98		MA		[0,0,78] == 2						NA		NA		NA
16	Current1 Very High Current Alarm	99		MA		[0,0,78] == 3						NA		NA		NA
17	Current2 High Current Alarm		100		MA		[0,0,79] == 2						NA		NA		NA
18	Current2 Very High Current Alarm	101		MA		[0,0,79] == 3						NA		NA		NA
19	Current3 High Current Alarm		102		MA		[0,0,80] == 2						NA		NA		NA
20	Current3 Very High Current Alarm	103		MA		[0,0,80] == 3						NA		NA		NA
500	Current1 Hi 1 Curr Alm		509				MA		[0,2,16]> 0 & [0,0,501]> ([0,2,501]/100)*[0,2,500] | ([0,3,500] & [0,0,501] > ([0,2,501]/100-0.02)*[0,2,500])								NA	NA	NA
501	Current1 Hi 2 Curr Alm		510				MA		[0,2,16]> 0 & [0,0,501]> ([0,2,502]/100)*[0,2,500] | ([0,3,501] & [0,0,501] > ([0,2,502]/100-0.02)*[0,2,500])								NA	NA	NA
502	Current2 Hi 1 Curr Alm		511				MA		[0,2,17]> 0 & [0,0,502]> ([0,2,504]/100)*[0,2,503] | ([0,3,502] & [0,0,502] > ([0,2,504]/100-0.02)*[0,2,503])								NA	NA	NA
503	Current2 Hi 2 Curr Alm		512				MA		[0,2,17]> 0 & [0,0,502]> ([0,2,505]/100)*[0,2,503] | ([0,3,503] & [0,0,502] > ([0,2,505]/100-0.02)*[0,2,503])								NA	NA	NA
504	Current3 Hi 1 Curr Alm		513				MA		[0,2,18]> 0 & [0,0,503]> ([0,2,507]/100)*[0,2,506] | ([0,3,504] & [0,0,503] > ([0,2,507]/100-0.02)*[0,2,506])								NA	NA	NA
505	Current3 Hi 2 Curr Alm		514				MA		[0,2,18]> 0 & [0,0,503]> ([0,2,508]/100)*[0,2,506] | ([0,3,505] & [0,0,503] > ([0,2,508]/100-0.02)*[0,2,506])								NA	NA	NA

